Projects
Project listing endpoints
Returns all projects and their associated SBOM IDs.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageintegerOptionalExample:
Page index
0sizeintegerOptionalExample:
Number of results to return
2000timestampintegerOptionalExample:
Timestamp parameter used by the API
120Responses
200
Project list returned successfully
application/json
total_countintegerOptionalExample:
17401
Unauthorized
get/scim/api/v2/projects/
GET /scim/api/v2/projects/ HTTP/1.1
Host: scim-service.v2.prod.veedna.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"results": {
"projects": [
{
"projectId": 4780694,
"sbomId": "<sbom_id>",
"jobStatus": "Ready for review"
}
]
},
"total_count": 17
}Last updated